Update Model Schedules

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
PUT /public/v1/projects/{projectId}/models/{modelId}/schedules

Headers

  • X-COMPANY-ID string Required

Path parameters

  • projectId integer(int64) Required
  • modelId integer(int64) Required
application/json

Body Required

  • scheduleIds array[integer(int64)]

Responses

  • 200

    OK

PUT /public/v1/projects/{projectId}/models/{modelId}/schedules
curl \
 --request PUT 'https://live.smartpmtech.com/public/v1/projects/{projectId}/models/{modelId}/schedules' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "scheduleIds": [
    42
  ]
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "scheduleIds": [
    42
  ]
}